## Apache Zeta Components Manual :: Docs For Class ezcWebdavKonquerorCompatibleTransport

### Webdav::ezcWebdavKonquerorCompatibleTransport

### Class ezcWebdavKonquerorCompatibleTransport

Transport layer for the Konqueror web browser (KDE).

This transport class adjust the behavior of the Webdav component to work with the KDE browser Konqueror.

Tested with:

- Konqueror 3.5.7
- Konqueror 3.5.9 (does not perform PUT requests, bug in client)

Source for this file: /Webdav/src/transports/konqueror.php

    ezcWebdavTransport
       |
       --ezcWebdavKonquerorCompatibleTransport

Version: | //autogentag//

### Inherited Constants

From ezcWebdavTransport:
`ezcWebdavTransport::VERSION` | Used for server software string in Server header.

### Inherited Member Variables

From ezcWebdavTransport
public | `ezcWebdavTransport::$handlingMap`
public | `ezcWebdavTransport::$parsingMap`
protected | `ezcWebdavTransport::$properties`

### Method Summary

protected ezcWebdavXmlDisplayInformation|ezcWebdavEmptyDisplayInformation | `processErrorResponse( $response , [ $xml = false] )` Returns display information for a error response object.
protected ezcWebdavXmlDisplayInformation | `processPropFindResponse( $response )` Decodes the URLs in href attributes of PROPFIND responses.

### Inherited Methods

From ezcWebdavTransport
protected ezcWebdavOutputResult | `ezcWebdavTransport::flattenResponse()` Flattens a processed response object to headers and body.
protected ezcWebdavErrorResponse | `ezcWebdavTransport::handleException()` Handle a thrown exception and generate an error response from it.
public void | `ezcWebdavTransport::handleResponse()` Handle a response and send it to the WebDAV client.
protected ezcWebdavCopyRequest | `ezcWebdavTransport::parseCopyRequest()` Parses the COPY request and returns a request object.
protected ezcWebdavDeleteRequest | `ezcWebdavTransport::parseDeleteRequest()` Parses the DELETE request and returns a request object.
protected ezcWebdavGetRequest | `ezcWebdavTransport::parseGetRequest()` Parses the GET request and returns a request object.
protected ezcWebdavHeadRequest | `ezcWebdavTransport::parseHeadRequest()` Parses the HEAD request and returns a request object.
protected ezcWebdavMakeCollectionRequest | `ezcWebdavTransport::parseMakeCollectionRequest()` Parses the MKCOL request and returns a request object.
protected ezcWebdavMoveRequest | `ezcWebdavTransport::parseMoveRequest()` Parses the MOVE request and returns a request object.
protected ezcWebdavOptionsRequest | `ezcWebdavTransport::parseOptionsRequest()` Parses the OPTIONS request and returns a request object.
protected ezcWebdavCopyRequest|ezcWebdavMoveRequest | `ezcWebdavTransport::parsePropertyBehaviourContent()` Parses the <propertybehavior /> XML element.
protected ezcWebdavPropFindRequest | `ezcWebdavTransport::parsePropFindRequest()` Parses the PROPFIND request and returns a request object.
protected ezcWebdavPropPatchRequest | `ezcWebdavTransport::parsePropPatchRequest()` Parses the PROPPATCH request and returns a request object.
protected ezcWebdavPutRequest | `ezcWebdavTransport::parsePutRequest()` Parses the PUT request and returns a request object.
public ezcWebdavRequest|ezcWebdavResponse | `ezcWebdavTransport::parseRequest()` Parses the incoming request into a fitting request abstraction object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processCopyResponse()` Returns display information for a copy response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processDeleteResponse()` Returns display information for a delete response object.
protected ezcWebdavXmlDisplayInformation|ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processErrorResponse()` Returns display information for a error response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processGetCollectionResponse()` Returns display information for a get response for a collection.
protected ezcWebdavStringDisplayInformation | `ezcWebdavTransport::processGetResourceResponse()` Returns display information for a get response on a non-collection.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processHeadResponse()` Returns display information for a head response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processMakeCollectionResponse()` Returns display information for a make collection response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processMoveResponse()` Returns display information for a move response object.
protected ezcWebdavXmlDisplayInformation | `ezcWebdavTransport::processMultiStatusResponse()` Returns display information for a multistatus response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processOptionsResponse()` Returns display information for a options response object.
protected ezcWebdavXmlDisplayInformation | `ezcWebdavTransport::processPropFindResponse()` Returns display information for a prop find response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processPropPatchResponse()` Returns display information for a prop patch response object.
protected ezcWebdavXmlDisplayInformation | `ezcWebdavTransport::processPropStatResponse()` Returns display information for a prop stat response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processPutResponse()` Returns display information for a put response object.
protected string | `ezcWebdavTransport::retreiveBody()` Returns the body content of the request.
protected string | `ezcWebdavTransport::retrieveBody()` Returns the body content of the request.
protected string | `ezcWebdavTransport::retrievePath()` Returns the translated request path.
protected void | `ezcWebdavTransport::sendResponse()` Finally sends out the response.

### Methods

#### processErrorResponse

ezcWebdavXmlDisplayInformation|ezcWebdavEmptyDisplayInformation processErrorResponse( ezcWebdavErrorResponse $response , [bool $xml = false] )

Returns display information for a error response object.

When receiving 'HTTP/1.1 404 Not Found', Konqueror (versions 3.5.8 and up) requires a body. Normally the processErrorResponse functions does not return a body for 404 messages, so this override method sets a body for Konqueror.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$response` | ezcWebdavErrorResponse |
`$xml` | bool | DOMDocument in result only generated of true.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavTransport::processErrorResponse()` | Returns display information for a error response object.

#### processPropFindResponse

ezcWebdavXmlDisplayInformation processPropFindResponse( ezcWebdavPropFindResponse $response )

Decodes the URLs in href attributes of PROPFIND responses.

Konqueror does not use the <displayname> property (which is also URL encoded), but the <href> tag of the response to determine the displayed resource names. It expects the content to be un-encoded.

This method calls the parent method and replaces the content of all <href> elements in the DOM tree.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$response` | ezcWebdavPropFindResponse |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavTransport::processPropFindResponse()` | Returns display information for a prop find response object.

Documentation generated by phpDocumentor 1.4.3